> ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # Get a list of player file sync status overviews ## OpenAPI ````json GET /v{version}/FileSync/Status { "openapi": "3.0.1", "info": { "title": "IXM Platform API 1.21", "description": "IXM Platform API", "contact": { "name": "Grassfish", "url": "https://grassfish.com", "email": "support@grassfish.com" }, "version": "1.21" }, "paths": { "/v{version}/FileSync/Status": { "get": { "tags": [ "FileSync" ], "summary": "Get a list of player file sync status overviews", "operationId": "FileSync_GetPlayerStatusOverview", "parameters": [ { "name": "locationId", "in": "query", "description": "Unique ID of the location", "schema": { "type": "integer", "format": "int32" } }, { "name": "version", "in": "path", "description": "The requested API version", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/V1.Models.FileSync.FileSyncPlayerStatusOverview" } } } } }, "400": { "description": "Bad request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.ModelStateError" } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "403": { "description": "Access denied", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "500": { "description": "Unexpected error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } } }, "security": [ { "api_key": [] }, { "session_id": [] } ] } } }, "components": { "schemas": { "V1.Models.FileSync.FileSyncPlayerStatusOverview": { "type": "object", "properties": { "BoxId": { "type": "string", "description": "Box ID of the player" }, "City": { "type": "string", "description": "City of the player" }, "Count": { "type": "integer", "description": "Total amount of files to by synced", "format": "int32" }, "Country": { "type": "string", "description": "Country of the player" }, "CustomId": { "type": "string", "description": "Custom ID of the player" }, "ErrorReceived": { "type": "string", "description": "Date of receiving the last error in UTC", "format": "date-time" }, "LastAccess": { "type": "string", "description": "Last access date of player in UTC", "format": "date-time", "readOnly": true }, "LastRequest": { "type": "string", "description": "Date of the last request in UTC", "format": "date-time" }, "LocationId": { "type": "integer", "description": "Unique ID of the location", "format": "int32" }, "PlayerId": { "type": "integer", "description": "Unique ID of the player", "format": "int32" }, "PlayerName": { "type": "string", "description": "Name of the player" }, "ProjectNames": { "type": "string", "description": "Project's names" }, "ScreenGroupNames": { "type": "string", "description": "Screen group names" }, "SyncedCount": { "type": "integer", "description": "Amount of synced files", "format": "int32" } }, "description": "Status overview of file sync players", "readOnly": true }, "Common.Models.ModelStateError": { "type": "object", "properties": { "ValidationErrors": { "type": "object", "additionalProperties": { "type": "array", "items": { "type": "string" } } } } }, "Common.Models.Error": { "type": "object", "properties": { "Id": { "type": "string" }, "Message": { "type": "string" }, "Type": { "type": "string" }, "Values": { "type": "object", "additionalProperties": { "type": "object" } } } } }, "securitySchemes": { "api_key": { "type": "apiKey", "description": "Api Key", "name": "X-ApiKey", "in": "header" }, "session_id": { "type": "apiKey", "description": "Session Id", "name": "X-Session-Id", "in": "header" } } } } ````